System Atlas

Search the registry

Search System Atlas: registry companies (name, domain, industry, coverage, claimed), industries and segments, primitives of published schemas, constructs and glossary terms; with a key also your workspaces, companies and components. Typo-tolerant and ranked. Filters can be written in the query (industry:staffing region:US layer:software type:company,primitive claimed:yes) or passed as parameters.

GET/api/v1/searchPublic

Authentication

None. Send a key anyway to get the same answer.

Parameters

Query

  • qstringrequired

    Free words, optionally with filters

    min 1 charmax 200 chars
  • typestringoptional
  • industrystringoptional
  • regionstringoptional
  • layerenumoptional
    peopleprocesssoftwaredatadecisions
  • claimedenumoptional
    yesno
  • sortenumoptional
    relevancecoverageupdated
  • pagenumberoptional
    ≥ 1≤ 1000
  • limitnumberoptional
    ≥ 1≤ 50

Request

curl "https://systematlas.org/api/v1/search?q=payroll"

Response

200 with the result in data (abbreviated here). Errors are listed in Errors and limits.

Response
{
  "data": [
    {
      "kind": "primitive",
      "title": "Payroll",
      "detail": "Paying workers on time and correctly.",
      "industry": "staffing"
    }
  ]
}

Over MCP

The same call as an MCP tool: search.